function compareEpisodesByDate (a, b) {
  var dateA = new Date(a.start)
  var dateB = new Date(b.start)
  if (dateA < dateB) return -1
  else if (dateA > dateB) return 1
  else return 0
}

export default {
  computed: {
    episodesPast: function () {
      var eps = []
      var now = new Date()
      for (var x in this.episodes.sort(compareEpisodesByDate)) {
        if (new Date(this.episodes[x].start) < now) {
          eps.push(this.episodes[x])
        }
      }
      return eps
    },
    episodesFuture: function () {
      var eps = []
      var now = new Date()
      for (var x in this.episodes.sort(compareEpisodesByDate)) {
        if (new Date(this.episodes[x].start) >= now) {
          eps.push(this.episodes[x])
        }
      }
      return eps
    },
    episodesSortedDate: function () {
      return this.episodes.sort(compareEpisodesByDate)
    }
  }
}
